// ID:ID, Desc:描述, Condition:充值金额, ItemID:道具ID, ItemCount:道具数量

export default class M_ActivityKingCraftRecharge {
  private static data =
      {"1":{"ID":1,"Desc":"累计充值6元","Condition":6,"ItemID":[1],"ItemCount":[100000]}

      ,"2":{"ID":2,"Desc":"累计充值30元","Condition":30,"ItemID":[291],"ItemCount":[20]}

      ,"3":{"ID":3,"Desc":"累计充值68元","Condition":68,"ItemID":[291],"ItemCount":[30]}

      ,"4":{"ID":4,"Desc":"累计充值168元","Condition":168,"ItemID":[291],"ItemCount":[80]}

      ,"5":{"ID":5,"Desc":"累计充值328元","Condition":328,"ItemID":[291],"ItemCount":[150]}

      ,"6":{"ID":6,"Desc":"累计充值648元","Condition":648,"ItemID":[291],"ItemCount":[300]}

      ,"7":{"ID":7,"Desc":"累计充值1000元","Condition":1000,"ItemID":[291],"ItemCount":[400]}

      }// ID:ID, Desc:描述, Condition:充值金额, ItemID:道具ID, ItemCount:道具数量


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}